Name:		configure-trackpoint
Version:	0.7
Release:	0.zin%{?dist}
Summary:	TrackPoint configuration tool
URL:		http://tpctl.sourceforge.net/configure-trackpoint.html
License:	GPL
Group:		System/Configuration/Hardware
Source0:	http://prdownloads.sourceforge.net/tpctl/%{name}-%{version}.tar.gz
Source1:	trackpoint
Patch0:		configure-trackpoint-fedora.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)
BuildRequires:	libgnomeui-devel
BuildRequires:	ImageMagick
Requires:	beesu

%description
Configure-trackpoint is a Gnome TrackPoint configuration tool. It uses the
linux kernel 2.6 TrackPoint driver which at the moment is not in the mainline
kernel but it is available in the multimedia kernel.

%prep

%setup -q
%patch0 -p1

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%{__install} -Dp -m0666 pixmaps/trackpoint.png %{buildroot}%{_datadir}/pixmaps/trackpoint.png
%{__install} -Dp -m0755 %{SOURCE1} %{buildroot}%{_sysconfdir}/init.d/trackpoint


%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add trackpoint

%preun
if [ $1 = 0 ]; then
        /sbin/service trackpoint stop >/dev/null 2>&1
        /sbin/chkconfig --del trackpoint
fi


%postun
/sbin/service trackpoint condrestart &>/dev/null || :



%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_sysconfdir}/init.d/trackpoint
%{_datadir}/pixmaps/trackpoint.png
%{_datadir}/pixmaps/configure-trackpoint/trackpoint.png
%{_datadir}/applications/*.desktop

%doc AUTHORS

%changelog
* Mon Mar 16 2009 Zdravko Nikolov <zdravko.nikolov[at]gmail.com> 0.7-0
- updated to version 0.7
- added init.d service for fedora
- patched program to save to /etc/trackpoint.conf

* Sun Aug 17 2008 Zdravko Nikolov <zdravko.nikolov[at]gmail.com> 0.4.2-0
- bumbped to new version 0.4.2
- rebuilt for fedora 9

* Thu Jun 07 2007 Zdravko Nikolov <zdravko.nikolov[at]gmail.com> 0.4.1-0
- bumped to new version 0.4.1
- rebuilt for fedora 7

* Sat May 06 2006 Zdravko Nikolov <zdravko.nikolov[at]gmail.com> 0.3.2-0
- bumped to new version 0.3.3

* Fri Apr 14 2006 Zdravko Nikolov <zdravko.nikolov[at]gmail.com> 0.3.2-0
- bumped to new version 0.3.2

* Mon Aug 29 2005 Zdravko Nikolov <zdravko.nikolov[at]gmail.com> 0.3-0
- bumped to new version 0.3

* Wed Aug 24 2005 Zdravko Nikolov <zdravko.nikolov[at]gmail.com> 0.2-2
- patched for kernles >= 2.6.11

* Fri May 13 2005 Zdravko Nikolov <zdravko.nikolov[at]gmail.com> 0.2-1
- fixed spec file for fedora build

* Mon Mar 21 2005 Michael Reinsch <mr@uue.org> 0.2-1mdk
- first package for Mandrakelinux
